package de.mannheim.ids.sruws;

import java.util.ArrayList;
import java.util.List;

public class Corpus {	
	String name;
	String pid;
	List<Sentence> sentences;
	
	public Corpus(String pid, String name) {
		this.pid = pid;
		this.name = name;
		this.sentences = new ArrayList<Sentence>();		
	}
	
	public List<Sentence> getSentences() {
		return sentences;
	}

	public void setSentences(List<Sentence> sentences) {
		this.sentences = sentences;
	}

	public void addSentence(Sentence s){
		sentences.add(s);
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getPid() {
		return pid;
	}
	public void setPid(String pid) {
		this.pid = pid;
	}
}
